summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRepository mirror & CI <repomirrorci@gentoo.org>2021-12-07 22:36:30 +0000
committerRepository mirror & CI <repomirrorci@gentoo.org>2021-12-07 22:36:30 +0000
commit129ee92179436aeb8dad246608aa57426424ddd2 (patch)
tree1f1d4ab1f5322e1c8d525b723ba3580ecc380b7b
parent2021-12-07 22:06:40 UTC (diff)
parentdev-python/memory_profiler: Bump to 0.59 (diff)
downloadgentoo-129ee92179436aeb8dad246608aa57426424ddd2.tar.gz
gentoo-129ee92179436aeb8dad246608aa57426424ddd2.tar.bz2
gentoo-129ee92179436aeb8dad246608aa57426424ddd2.zip
Merge updates from master
-rw-r--r--dev-python/memory_profiler/Manifest1
-rw-r--r--dev-python/memory_profiler/memory_profiler-0.59.ebuild55
-rw-r--r--dev-python/memory_profiler/metadata.xml2
-rw-r--r--dev-python/terminaltables/Manifest1
-rw-r--r--dev-python/terminaltables/metadata.xml2
-rw-r--r--dev-python/terminaltables/terminaltables-3.1.10.ebuild39
-rw-r--r--dev-python/terminaltables/terminaltables-9999.ebuild9
-rw-r--r--xfce-base/exo/Manifest1
-rw-r--r--xfce-base/exo/exo-4.16.3.ebuild48
9 files changed, 152 insertions, 6 deletions
diff --git a/dev-python/memory_profiler/Manifest b/dev-python/memory_profiler/Manifest
index eb26320def57..c6271af5f80f 100644
--- a/dev-python/memory_profiler/Manifest
+++ b/dev-python/memory_profiler/Manifest
@@ -1 +1,2 @@
DIST memory_profiler-0.58.0.gh.tar.gz 140692 BLAKE2B 2f3917d833dfcc722b61871c7e704e869527a389b10a81b473989b8455630f5defa5f5b21a172708070b89468c7dd66682cd3b9c0bf435e9be49651b69b50137 SHA512 5c02933acffc05f42d2ae98a069d36563e1d26515d439d94ad3903960dd06cd378faae3000b26c022770e71e83db6f770ceaf63cabb92f4159bda0ff9cc4e849
+DIST memory_profiler-0.59.gh.tar.gz 142586 BLAKE2B b9c8cffbd03f980937d30626facf431e6effd9a86a21fbe629f4238a2f78f2d65242637105ad3a07b4158a6335a541701bba657941bb23c9da0f49a1113402ee SHA512 f70ad8f871bd5068e2817049231abee7e535cb352f0444dcb0d9d072b9f4dda944e85ec7854855307a9748257da80f53dd50fe17fefbd73045dce1306f51f88d
diff --git a/dev-python/memory_profiler/memory_profiler-0.59.ebuild b/dev-python/memory_profiler/memory_profiler-0.59.ebuild
new file mode 100644
index 000000000000..afc8e46ebfb4
--- /dev/null
+++ b/dev-python/memory_profiler/memory_profiler-0.59.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..10} )
+inherit distutils-r1
+
+DESCRIPTION="A module for monitoring memory usage of a python program"
+HOMEPAGE="https://pypi.org/project/memory-profiler/ https://github.com/pythonprofilers/memory_profiler"
+SRC_URI="
+ https://github.com/pythonprofilers/memory_profiler/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+IUSE="examples"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86 ~amd64-linux ~x86-linux"
+
+# dev-lang/mercury: collision on 'mprof'
+# https://bugs.gentoo.org/571176
+RDEPEND="dev-python/psutil[${PYTHON_USEDEP}]
+ !dev-lang/mercury"
+
+distutils_enable_tests pytest
+
+python_test() {
+ "${EPYTHON}" -m memory_profiler test/test_as.py || die
+ "${EPYTHON}" -m memory_profiler test/test_func.py || die
+ "${EPYTHON}" -m memory_profiler test/test_gen.py || die
+ "${EPYTHON}" -m memory_profiler test/test_loop.py || die
+ "${EPYTHON}" -m memory_profiler test/test_loop_decorated.py || die
+ "${EPYTHON}" -m memory_profiler test/test_mprofile.py || die
+ "${EPYTHON}" -m memory_profiler test/test_nested.py || die
+ "${EPYTHON}" -m memory_profiler test/test_precision_command_line.py || die
+ "${EPYTHON}" -m memory_profiler test/test_unicode.py || die
+
+ "${EPYTHON}" test/test_exception.py || die
+ "${EPYTHON}" test/test_exit_code.py || die
+ "${EPYTHON}" test/test_global.py || die
+ "${EPYTHON}" test/test_import.py || die
+ "${EPYTHON}" test/test_memory_usage.py || die
+ "${EPYTHON}" test/test_mprof.py || die
+ "${EPYTHON}" test/test_precision_import.py || die
+ "${EPYTHON}" test/test_stream_unicode.py || die
+ "${EPYTHON}" test/test_tracemalloc.py || die
+}
+
+python_install_all() {
+ use examples && dodoc -r examples
+
+ distutils-r1_python_install_all
+}
diff --git a/dev-python/memory_profiler/metadata.xml b/dev-python/memory_profiler/metadata.xml
index 32bbc7982746..765b1c287e36 100644
--- a/dev-python/memory_profiler/metadata.xml
+++ b/dev-python/memory_profiler/metadata.xml
@@ -7,7 +7,7 @@
</maintainer>
<stabilize-allarches/>
<upstream>
- <remote-id type="pypi">memory_profiler</remote-id>
+ <remote-id type="pypi">memory-profiler</remote-id>
<remote-id type="github">pythonprofilers/memory_profiler</remote-id>
<maintainer status="unknown">
<email>f@bianp.net</email>
diff --git a/dev-python/terminaltables/Manifest b/dev-python/terminaltables/Manifest
index 6ce24a37c03c..9b87fce62975 100644
--- a/dev-python/terminaltables/Manifest
+++ b/dev-python/terminaltables/Manifest
@@ -1 +1,2 @@
DIST terminaltables-3.1.0.tar.gz 278484 BLAKE2B 733bcfcdc51c5e78e85e8f7fc9db00fa96c1ad48f76a9ec48ed546dc0acd62af90f437de346fe05d4cb09151b33ddea2f62beb21b418d7f76d8a719423a5f694 SHA512 dc49458652fff8bc6094d316d84c9b8e9fca1a26e3230c0b668bc03ec8528793f4ef024e8032d4a56fbfabfdfd4a1142870f550f0b373ba6a42dd2e3ead3f501
+DIST terminaltables-3.1.10.tar.gz 282122 BLAKE2B 53d5ecde38370f5b05d3eaae4b618ada6991214feadc7e826467dafede5baaf8292e47e6b2be903eb8ae6d46e3066314fe7950d7330056cd3053e0d643ad1a9e SHA512 84fa403cee4206b6b19de0206d89535bd2965a0796e1890dd9b0a9c6593c5f41d0d24b88ee9db426067c777712a4e810d67d4d0246496239a7a96b53a24e8174
diff --git a/dev-python/terminaltables/metadata.xml b/dev-python/terminaltables/metadata.xml
index f8a843fcbfdf..38af7ae0ae2b 100644
--- a/dev-python/terminaltables/metadata.xml
+++ b/dev-python/terminaltables/metadata.xml
@@ -10,7 +10,7 @@
</maintainer>
<stabilize-allarches/>
<upstream>
- <remote-id type="github">Robpol86/terminaltables</remote-id>
+ <remote-id type="github">matthewdeanmartin/terminaltables</remote-id>
<remote-id type="pypi">terminaltables</remote-id>
</upstream>
</pkgmetadata>
diff --git a/dev-python/terminaltables/terminaltables-3.1.10.ebuild b/dev-python/terminaltables/terminaltables-3.1.10.ebuild
new file mode 100644
index 000000000000..a1a015395675
--- /dev/null
+++ b/dev-python/terminaltables/terminaltables-3.1.10.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_SETUPTOOLS=pyproject.toml
+PYTHON_COMPAT=( python3_{8..10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Generate simple tables in terminals from a nested list of strings"
+HOMEPAGE="https://robpol86.github.io/terminaltables/"
+SRC_URI="
+ https://github.com/matthewdeanmartin/terminaltables/archive/v${PV}.tar.gz
+ -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+BDEPEND="
+ test? (
+ dev-python/colorama[${PYTHON_USEDEP}]
+ dev-python/colorclass[${PYTHON_USEDEP}]
+ dev-python/termcolor[${PYTHON_USEDEP}]
+ )"
+
+distutils_enable_tests pytest
+
+PATCHES=(
+ "${FILESDIR}"/terminaltables-3.1.0-stdout.patch
+)
+
+src_prepare() {
+ # workaround pp2sp complaining about unsupported exclude,
+ # even though it's empty (fix will be included in pp2sp-22)
+ sed -i -e 's:^exclude:empty-&:' pyproject.toml || die
+ distutils-r1_src_prepare
+}
diff --git a/dev-python/terminaltables/terminaltables-9999.ebuild b/dev-python/terminaltables/terminaltables-9999.ebuild
index f20c73f288fc..ed12c5a82704 100644
--- a/dev-python/terminaltables/terminaltables-9999.ebuild
+++ b/dev-python/terminaltables/terminaltables-9999.ebuild
@@ -1,15 +1,16 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=7
+EAPI=8
+
+DISTUTILS_USE_SETUPTOOLS=pyproject.toml
+PYTHON_COMPAT=( python3_{8..10} )
-PYTHON_COMPAT=( python3_{7..10} )
-EGIT_REPO_URI="https://github.com/Robpol86/${PN}.git"
inherit distutils-r1 git-r3
DESCRIPTION="Generate simple tables in terminals from a nested list of strings"
HOMEPAGE="https://robpol86.github.io/terminaltables/"
-SRC_URI=""
+EGIT_REPO_URI="https://github.com/matthewdeanmartin/${PN}.git"
LICENSE="MIT"
SLOT="0"
diff --git a/xfce-base/exo/Manifest b/xfce-base/exo/Manifest
index 9bce67adf196..975cf4df43fc 100644
--- a/xfce-base/exo/Manifest
+++ b/xfce-base/exo/Manifest
@@ -1,2 +1,3 @@
DIST exo-4.16.2.tar.bz2 881098 BLAKE2B df1ad499becd22087724abb716d07a50e432ec555d03a3892d0b81745045c334cb3705419e901697e4c3bc10328837b4f5c4055800d1b6c79c9cfc503427643b SHA512 9c1252d78f5bb900254841a79f1c1b952cb60d9d0197e184266c35a86c340140cdff2460fa83f6fabb66380e2b3d7ab8a08719b4f4784d2215dde51410ce33e8
+DIST exo-4.16.3.tar.bz2 885516 BLAKE2B 1689821fc8cc72fc848d627d2cccd886223740c2910ed2f42fa70545dfb604eb184d3cfbf6aa93e7723fcc59291e0c33f77e478429e1e4296b2243155e277604 SHA512 0dc4d2da6dd80a4c1b05a5316bb6e7ad02858d3fb49b666d6065bd7b11d7b8aed2732135eee8393185a0c321a242807d97b51f794186ce7a769ec2c9106ba8fd
DIST exo-4.17.1.tar.bz2 877757 BLAKE2B 152e168568f4ad12e1eb03f7b1971b3369647da0adac57f55d36fc176c36f7c2ccf9125f6bad386843753855b4bbb679a7a6abd80a9375d2212550e0987d4fa4 SHA512 597fee2cc0188159d5278bb5d547f1a4619645684ba3da4046946c5eb38b2a4913731e589caeeb2f8505516bdcbba64bee03291857215e2b4208aa3d2c563988
diff --git a/xfce-base/exo/exo-4.16.3.ebuild b/xfce-base/exo/exo-4.16.3.ebuild
new file mode 100644
index 000000000000..b4360fab3a1d
--- /dev/null
+++ b/xfce-base/exo/exo-4.16.3.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools xdg-utils
+
+DESCRIPTION="Extensions, widgets and framework library with session support for Xfce"
+HOMEPAGE="https://www.xfce.org/projects/"
+SRC_URI="https://archive.xfce.org/src/xfce/${PN}/${PV%.*}/${P}.tar.bz2"
+
+LICENSE="GPL-2+ LGPL-2.1+"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux ~x64-solaris ~x86-solaris"
+
+RDEPEND=">=dev-libs/glib-2.50
+ >=x11-libs/gtk+-3.22:3
+ >=xfce-base/libxfce4ui-4.15.1:=[gtk3(+)]
+ >=xfce-base/libxfce4util-4.12:="
+DEPEND="${RDEPEND}"
+BDEPEND="
+ dev-util/gtk-doc-am
+ dev-util/intltool
+ >=dev-util/xfce4-dev-tools-4.16.0
+ sys-devel/gettext
+ virtual/pkgconfig"
+
+PATCHES=(
+ "${FILESDIR}/${PN}-4.16.0-allow-cross.patch"
+)
+
+src_prepare() {
+ default
+ eautoreconf
+}
+
+src_install() {
+ default
+ find "${D}" -name '*.la' -delete || die
+}
+
+pkg_postinst() {
+ xdg_icon_cache_update
+}
+
+pkg_postrm() {
+ xdg_icon_cache_update
+}